Bug 1340102 (CVE-2016-5036) - CVE-2016-5036 libdwarf: Out-of-bounds read in dump_block
Summary: CVE-2016-5036 libdwarf: Out-of-bounds read in dump_block
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-5036
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1340129 1340128
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 13:00 UTC by Andrej Nemec
Modified: 2019-09-29 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:52:59 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-26 13:00:23 UTC
An out-of-bounds read vulnerability was found at line 186 of dump_block() in print_sections.c

References:

http://seclists.org/oss-sec/2016/q2/393

External references:

https://www.prevanders.net/dwarfbug.html

Upstream fix:

https://sourceforge.net/p/libdwarf/code/ci/82d8e007851805af0dcaaff41f49a2d48473334b

Comment 1 Andrej Nemec 2016-05-26 13:42:39 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1340128]
Affects: epel-6 [bug 1340129]


Note You need to log in before you can comment on or make changes to this bug.